drop table if exists Releases;
drop table if exists RtPackages;
drop table if exists Packages;

PRAGMA foreign_keys = ON;

create table Releases(
       RHRelease TEXT,
       Release TEXT,
       RelID INTEGER PRIMARY KEY AUTOINCREMENT
);

       /* Ignored the following MRG releases:
             mrg-1.0
             mrg-1.1
             mrg-1.2 */
       /* Tracked MRG releases */
       /* mrg-1.3 */
insert into Releases(Release,RHRelease) values ('1.3','RHBA-2010:0762');
insert into Releases(Release,RHRelease) values ('1.3','RHSA-2010:0771');
insert into Releases(Release,RHRelease) values ('1.3.x','RHSA-2010:0958');
insert into Releases(Release,RHRelease) values ('1.3.x','RHEA-2010:0972');
insert into Releases(Release,RHRelease) values ('1.3','hotfix0');
insert into Releases(Release,RHRelease) values ('1.3.x','RHSA-2011:0330');
insert into Releases(Release,RHRelease) values ('1.3.x','RHSA-2011:0500');
insert into Releases(Release,RHRelease) values ('1.3','hotfix1');
insert into Releases(Release,RHRelease) values ('1.3','hotfix2');
insert into Releases(Release,RHRelease) values ('1.3.x','RHBA-2011:1209');
insert into Releases(Release,RHRelease) values ('1.3','hotfix3');
insert into Releases(Release,RHRelease) values ('1.3.5','RHBA-2011:1370');
insert into Releases(Release,RHRelease) values ('1.3','hotfix4');
insert into Releases(Release,RHRelease) values ('1.3','hotfix5');
insert into Releases(Release,RHRelease) values ('1.3.6','RHBA-2013:0927');
       /* mrg-2.0 */
insert into Releases(Release,RHRelease) values ('2.0','RHEA-2011:0894');
insert into Releases(Release,RHRelease) values ('2.0','RHEA-2011:0895');
insert into Releases(Release,RHRelease) values ('2.0.x','hotfix0');
insert into Releases(Release,RHRelease) values ('2.0.2','RHBA-2011:1192');
insert into Releases(Release,RHRelease) values ('2.0.8','RHSA-2011:1253');
insert into Releases(Release,RHRelease) values ('2.0.9','RHSA-2012:0010');
insert into Releases(Release,RHRelease) values ('2.0.x','hotfix1');
insert into Releases(Release,RHRelease) values ('2.0.x','hotfix2');
       /* mrg-2.1 */
insert into Releases(Release,RHRelease) values ('2.1','RHBA-2012:0044');
insert into Releases(Release,RHRelease) values ('2.1','RHEA-2012:0047');
insert into Releases(Release,RHRelease) values ('2.1.x','RHSA-2012:0061');
insert into Releases(Release,RHRelease) values ('2.1.4','RHSA-2012:0333');
insert into Releases(Release,RHRelease) values ('2.1.5','RHBA-2012:0495');
insert into Releases(Release,RHRelease) values ('2.1.5','RHBA-2012:0496');
insert into Releases(Release,RHRelease) values ('2.1.5','hotfix');
insert into Releases(Release,RHRelease) values ('2.1.5','hotfix2');
insert into Releases(Release,RHRelease) values ('2.1.5','hotfix4');
insert into Releases(Release,RHRelease) values ('2.1.5','hotfix5');
insert into Releases(Release,RHRelease) values ('2.1.5','hotfix6');
insert into Releases(Release,RHRelease) values ('2.1.8','RHSA-2012:0670');
insert into Releases(Release,RHRelease) values ('2.1.9','RHSA-2012:1150');
       /* mrg-2.2 */
insert into Releases(Release,RHRelease) values ('2.2.0','RHEA-2012:1280');
insert into Releases(Release,RHRelease) values ('2.2.0','RHSA-2012:1282');
insert into Releases(Release,RHRelease) values ('2.2.3','RHSA-2012:1491');
insert into Releases(Release,RHRelease) values ('2.2.3','RHBA-2012:1492');
insert into Releases(Release,RHRelease) values ('2.2.3','hotfix');
       /* mrg-2.3 */
insert into Releases(Release,RHRelease) values ('2.3.0','RHBA-2013:0563');
insert into Releases(Release,RHRelease) values ('2.3.0','RHSA-2013:0566');
insert into Releases(Release,RHRelease) values ('2.3.1','RHSA-2013:0622');
insert into Releases(Release,RHRelease) values ('2.3.4','RHBA-2013:0828');
insert into Releases(Release,RHRelease) values ('2.3.4','RHSA-2013:0829');
       /* new releases, ordered by release date */
insert into Releases(Release,RHRelease) values ('2.3.7','RHBA-2013:1183');
insert into Releases(Release,RHRelease) values ('2.3.7','RHSA-2013:1264');
insert into Releases(Release,RHRelease) values ('2.4.0','RHBA-2013:1293');
insert into Releases(Release,RHRelease) values ('2.4.0','RHBA-2013:1398');
insert into Releases(Release,RHRelease) values ('2.2.3','hotfix1');
insert into Releases(Release,RHRelease) values ('2.4.1','RHSA-2013:1490');
insert into Releases(Release,RHRelease) values ('2.4.3','RHSA-2013:0100');
insert into Releases(Release,RHRelease) values ('2.4.3','RHBA-2013:0105');
insert into Releases(Release,RHRelease) values ('2.4.5','RHBA-2013:0176');
insert into Releases(Release,RHRelease) values ('2.4.5','hotfix1');
insert into Releases(Release,RHRelease) values ('2.4.6','RHBA-2014:0381');
insert into Releases(Release,RHRelease) values ('2.5.0','RHSA-2014:0439');
insert into Releases(Release,RHRelease) values ('2.5.2','RHSA-2014:0557');
insert into Releases(Release,RHRelease) values ('2.5.4','RHSA-2014:0913');
insert into Releases(Release,RHRelease) values ('2.5.6','RHSA-2014:1083');
insert into Releases(Release,RHRelease) values ('2.5.7','RHSA-2014:1318');
insert into Releases(Release,RHRelease) values ('2.5.8','RHBA-2014:1683');
insert into Releases(Release,RHRelease) values ('2.5.10','RHSA-2014:1943');
insert into Releases(Release,RHRelease) values ('2.5.10','hotfix');
insert into Releases(Release,RHRelease) values ('2.5.10','RHBA-2014:1992');
insert into Releases(Release,RHRelease) values ('2.5.11','RHSA-2014:1998');
insert into Releases(Release,RHRelease) values ('2.5.11','hotfix');
insert into Releases(Release,RHRelease) values ('2.5.11','hotfix1');
insert into Releases(Release,RHRelease) values ('2.5.12','RHSA-2015:0694');
insert into Releases(Release,RHRelease) values ('2.5.14','RHSA-2015:0751');
insert into Releases(Release,RHRelease) values ('2.5.15','RHBA-2015:0946');
insert into Releases(Release,RHRelease) values ('2.5.16','RHSA-2015:0989');
insert into Releases(Release,RHRelease) values ('2.5.18','RHSA-2015:1138');
insert into Releases(Release,RHRelease) values ('2.5.19','RHSA-2015:1564');
insert into Releases(Release,RHRelease) values ('2.5.20','RHSA-2015:1787');
insert into Releases(Release,RHRelease) values ('2.5.21','RHSA-2015:1976');
insert into Releases(Release,RHRelease) values ('2.5.21e','RHSA-2016:0068');
insert into Releases(Release,RHRelease) values ('2.5.23','RHSA-2016:0224');
insert into Releases(Release,RHRelease) values ('2.5.23','hotfix');
insert into Releases(Release,RHRelease) values ('2.5.24','RHBA-2016:0518');
insert into Releases(Release,RHRelease) values ('2.5.25','RHSA-2016:1055');
insert into Releases(Release,RHRelease) values ('2.5.26','RHSA-2016:1341');
insert into Releases(Release,RHRelease) values ('2.5.27','RHSA-2016:1532');
insert into Releases(Release,RHRelease) values ('2.5.28','RHSA-2016:1631');
insert into Releases(Release,RHRelease) values ('2.5.29','RHSA-2016:1883');
insert into Releases(Release,RHRelease) values ('2.5.30','RHSA-2016:2107');
insert into Releases(Release,RHRelease) values ('2.5.31','RHBA-2016:2936');
insert into Releases(Release,RHRelease) values ('2.5.32','RHSA-2017:0113');
insert into Releases(Release,RHRelease) values ('2.5.33','RHSA-2017:0402');
insert into Releases(Release,RHRelease) values ('2.5.34','RHSA-2017:0932');
insert into Releases(Release,RHRelease) values ('2.5.35','RHSA-2017:1297');
insert into Releases(Release,RHRelease) values ('2.5.36','RHSA-2017:1647');
insert into Releases(Release,RHRelease) values ('2.5.37','RHSA-2017:2444');
insert into Releases(Release,RHRelease) values ('2.5.38','RHSA-2017:2669');
insert into Releases(Release,RHRelease) values ('2.5.39','RHSA-2017:2705');
insert into Releases(Release,RHRelease) values ('2.5.40','RHSA-2017:2918');
insert into Releases(Release,RHRelease) values ('2.5.41','RHSA-2017:3295');
insert into Releases(Release,RHRelease) values ('2.5.42','RHSA-2018:0021');
insert into Releases(Release,RHRelease) values ('2.5.43','RHSA-2018:0181');
insert into Releases(Release,RHRelease) values ('2.5.44','RHSA-2018:0470');
insert into Releases(Release,RHRelease) values ('2.5.45','RHSA-2018:1170');
insert into Releases(Release,RHRelease) values ('2.5.46','RHSA-2018:1354');
insert into Releases(Release,RHRelease) values ('2.5.47','RHSA-2018:1642');
insert into Releases(Release,RHRelease) values ('2.5.48','RHBA-2018:1752');
insert into Releases(Release,RHRelease) values ('2.5.49','RHBA-2018:2165');
insert into Releases(Release,RHRelease) values ('2.5.50','RHSA-2018:2396');
insert into Releases(Release,RHRelease) values ('2.5.51','RHSA-2018:2789');
insert into Releases(Release,RHRelease) values ('2.5.52','RHSA-2018:3586');
insert into Releases(Release,RHRelease) values ('2.5.54','RHSA-2019:0641');
insert into Releases(Release,RHRelease) values ('2.5.55','RHSA-2019:1190');
insert into Releases(Release,RHRelease) values ('2.5.56','RHSA-2019:1487');
insert into Releases(Release,RHRelease) values ('2.5.57','RHBA-2019:1949');
insert into Releases(Release,RHRelease) values ('2.5.58','RHSA-2019:2730');
insert into Releases(Release,RHRelease) values ('2.5.59','RHSA-2019:3165');
insert into Releases(Release,RHRelease) values ('2.5.60','RHSA-2019:3844');
insert into Releases(Release,RHRelease) values ('2.5.61','RHSA-2019:3908');
insert into Releases(Release,RHRelease) values ('2.5.62','RHSA-2019:4057');
insert into Releases(Release,RHRelease) values ('2.5.63','RHSA-2020:0100');
insert into Releases(Release,RHRelease) values ('2.5.64','RHSA-2020:0609');
insert into Releases(Release,RHRelease) values ('2.5.65','RHSA-2020:1353');
insert into Releases(Release,RHRelease) values ('2.5.66','RHSA-2020:2242');

create table RtPackages(
       Name TEXT UNIQUE,
       NameID INTEGER PRIMARY KEY AUTOINCREMENT
);

insert into RtPackages(Name) values ('kernel-rt');           --  1
insert into RtPackages(Name) values ('tuna');                --  2
insert into RtPackages(Name) values ('rtctl');               --  3
insert into RtPackages(Name) values ('rt-setup');            --  4
insert into RtPackages(Name) values ('python-linux-procfs'); --  5
insert into RtPackages(Name) values ('python-schedutils');   --  6
insert into RtPackages(Name) values ('python-numeric');      --  7
insert into RtPackages(Name) values ('rtcheck');             --  8
insert into RtPackages(Name) values ('ibm-prtm');            --  9
insert into RtPackages(Name) values ('rt-tests');            -- 10
insert into RtPackages(Name) values ('rteval');              -- 11
insert into RtPackages(Name) values ('rteval-loads');        -- 12
insert into RtPackages(Name) values ('kexec-tools-rt');      -- 13
insert into RtPackages(Name) values ('mcelog-rt');           -- 14
insert into RtPackages(Name) values ('uname26');             -- 15
insert into RtPackages(Name) values ('rt-firmware');         -- 16
insert into RtPackages(Name) values ('libmlx4-rocee');       -- 17
insert into RtPackages(Name) values ('libibverbs-rocee');    -- 18


create table Packages(
       Version TEXT NOT NULL,
       RelId INTEGER NOT NULL,
       NameId INTEGER NOT NULL,
       PackageID INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
       FOREIGN KEY(RelId) REFERENCES Releases(RelId),
       FOREIGN KEY(NameId) REFERENCES RtPackages(NameId)
);
CREATE INDEX package_names ON Packages(NameId, Version);
CREATE INDEX errata_versions ON Packages(RelId);

        /* mrg-2.5.66 RHSA-2020:2242 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.67.1.rt56.665.el6rt', 123);
        /* mrg-2.5.65 RHSA-2020:1353 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.65.1.rt56.663.el6rt', 122);
	/* mrg-2.5.64 RHSA-2020:0609 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.64.1.rt56.662.el6rt', 121);
	/* mrg-2.5.63 RHSA-2020:0100 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.62.1.rt56.659.el6rt', 120);
	/* mrg-2.5.62 RHSA-2019:4057 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.61.1.rt56.656.el6rt', 119);
	/* mrg-2.5.61 RHSA-2019:3908 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.60.3.rt56.655.el6rt', 118);
	/* mrg-2.5.60 RHSA-2019:3844 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.60.2.rt56.655.el6rt', 117);
	/* mrg-2.5.59 RHSA-2019:3165 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.60.1.rt56.654.el6rt', 116);
	/* mrg-2.5.58 RHSA-2019:2730 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.58.1.rt56.652.el6rt', 115);
	/* mrg-2.5.57 RHBA-2019:1949 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.55.1.rt56.649.el6rt', 114);
	/* mrg-2.5.56 RHSA-2019:1487 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.50.3.rt56.644.el6rt', 113);
	/* mrg-2.5.55 RHSA-2019:1190 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.47.2.rt56.641.el6rt', 112);
	/* mrg-2.5.54 RHSA-2019:0641 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.46.1.rt56.639.el6rt', 111);
	/* mrg-2.5.53 RHBA-2019:0325 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.44.1.rt56.633.el6rt', 110);
	/* mrg-2.5.52 RHSA-2018:3586 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.43.1.rt56.630.el6rt', 109);
	/* mrg-2.5.51 RHSA-2018:2789 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.39.1.rt56.629.el6rt', 108);
	/* mrg-2.5.50 RHSA-2018:2396 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.37.4.rt56.629.el6rt', 107);
	/* mrg-2.5.49 RHBA-2018:2165 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.35.1.rt56.625.el6rt', 106);
	/* mrg-2.5.48 RHBA-2018:1752 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.33.1.rt56.621.el6rt', 105);
	/* mrg-2.5.47 RHSA-2018:1642 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.25.7.rt56.615.el6rt', 104);
	/* mrg-2.5.46 RHSA-2018:1354 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.25.4.rt56.613.el6rt', 103);
        /* mrg-2.5.45 RHSA-2018:1170 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.25.2.rt56.612.el6rt', 102);
        /* mrg-2.5.44 RHSA-2018:0470 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.21.1.rt56.607.el6rt', 101);
        /* mrg-2.5.43 RHSA-2018:0181 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.17.1.rt56.604.el6rt', 100);
        /* mrg-2.5.42 RHSA-2018:0021 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.11.1.rt56.606.el6rt', 99);
        /* mrg-2.5.41 RHSA-2017:3295 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.11.1.rt56.597.el6rt', 98);
        /* mrg-2.5.40 RHSA-2017:2918 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.5.2.rt56.592.el6rt', 97);
        /* mrg-2.5.39 RHSA-2017:2705 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.2.2.rt56.588.el6rt', 96);
	/* mrg-2.5.38 RHSA-2017:2669 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-693.2.1.rt56.585.el6rt', 95);
	/* mrg-2.5.37 RHSA-2017:2444 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-514.rt56.231.el6rt', 94);
	/* mrg-2.5.36 RHSA-2017:1647 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-514.rt56.228.el6rt', 93);
	/* mrg-2.5.35 RHSA-2017:1297 RHEA-2017:1396 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-514.rt56.221.el6rt', 92);
insert into Packages(NameId,Version,RelID) values (16, '2.4-1', 92);
	/* mrg-2.5.34 RHSA-2017:0932 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-514.rt56.219.el6rt', 91);
	/* mrg-2.5.33 RHSA-2017:0402 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-514.rt56.215.el6rt', 90);
	/* mrg-2.5.32 RHSA-2017:0113 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-514.rt56.210.el6rt', 89);
       /* mrg-2.5.31  RHBA-2016:2936 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.199.el6rt', 88);
       /* mrg-2.5.30  RHSA-2016:2107 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.198.el6rt', 87);
       /* mrg-2.5.29  RHSA-2016:1883 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.197.el6rt', 86);
       /* mrg-2.5.28 - RHSA-2016:1631 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.195.el6rt', 85);
       /* mrg-2.5.27 - RHSA-2016:1532 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.194.el6rt', 84);
       /* mrg-2.5.26 - RHSA-2016:1341 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.190.el6rt', 83);
       /* mrg-2.5.25 - RHSA-2016:1055 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.183.el6rt', 82);
       /* mrg-2.5.24 - RHBA-2016:0518 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.176.el6rt', 81);
       /* mrg-2.5.23 - Hotfix */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.171.hotfix.el6rt', 80);
       /* mrg-2.5.23 - RHSA-2016:0224 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.171.el6rt', 79);
       /* mrg-2.5.21e - RHSA-2016:0068 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-327.rt56.170.el6rt', 78);
       /* mrg-2.5.21 - RHSA-2015:1976 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.162.el6rt', 77);
       /* mrg-2.5.20 - RHSA-2015:1787 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.161.el6rt', 76);
       /* mrg-2.5.19 - RHSA-2015:1564 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.158.el6rt', 75);
       /* mrg-2.5.18 - RHSA-2015:1138 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.153.el6rt', 74);
       /* mrg-2.5.16 - RHSA-2015:0989 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.151.el6rt', 73);
       /* mrg-2.5.15 - RHBA-2015:0946 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.149.el6rt', 72);
       /* mrg-2.5.14 - RHSA-2015:0751 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.147.el6rt', 71);
       /* mrg-2.5.12 - RHSA-2015:0694 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.0-229.rt56.144.el6rt', 70);
       /* mrg-2.5.11 - hotfix1 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.58-rt62.62.hotfix.el6rt', 69);
       /* mrg-2.5.11 - hotfix */
insert into Packages(NameId,Version,RelId) values (1, '3.10.58-rt62.61.hotfix.el6rt', 68);
       /* mrg-2.5.11 - RHSA-2014:1998 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.58-rt62.60.el6rt', 67);
       /* mrg-2.5.10 - RHBA-2014:1992 */
insert into Packages(NameId,Version,RelId) values (4, '1.58-1.el6rt', 66);
insert into Packages(NameId,Version,RelId) values (8, '0.7.6-4.el6rt', 66);
       /* mrg-2.5.10 - hotfix */
insert into Packages(NameId,Version,RelId) values (1, '3.10.58-rt62.58.hotfix.el6rt', 65);
       /* mrg-2.5.10 - RHSA-2014:1943 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.58-rt62.58.el6rt', 64);
       /* mrg-2.5.8 - RHBA-2014:1683 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.33-rt32.52.el6rt', 63);
       /* mrg-2.5.7 - RHSA-2014:1318 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.33-rt32.51.el6rt', 62);
       /* mrg-2.5.6 - RHSA-2014:1083 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.33-rt32.45.el6rt', 61);
       /* mrg-2.5.4 - RHSA-2014:0913 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.33-rt32.43.el6rt', 60);
       /* mrg-2.5.2 - RHSA-2014:0557 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.33-rt32.34.el6rt', 59);
       /* mrg-2.5.0 - RHSA-2014:0439 */
insert into Packages(NameId,Version,RelId) values (1, '3.10.33-rt32.33.el6rt', 58);
       /* mrg-2.4.6 RHBA-2014:0381 */
insert into Packages(NameId,Version,RelId) values (1, '3.8.13-rt27.40.el6rt', 57);
       /* mrg-2.4.5 hotfix1 */
insert into Packages(NameId,Version,RelId) values (1, '3.8.13-rt27.35.el6rt', 56);
       /* mrg-2.4.5 RHSA-2013:0176 */
insert into Packages(NameId,Version,RelId) values (1, '3.8.13-rt27.34.el6rt', 55);
       /* mrg-2.4.3 RHSA-2013:0105 */
insert into Packages(NameId,Version,RelId) values (4, '1.55-2.el6rt', 54);
insert into Packages(NameId,Version,RelId) values (17, '1.0.5-1.1.el6_5', 54);
insert into Packages(NameId,Version,RelId) values (18, '1.1.7-1.1.el6_5', 54);
       /* mrg-2.4.3 RHSA-2013:0100 */
insert into Packages(NameId,Version,RelId) values (1, '3.8.13-rt27.33.el6rt', 53);
       /* mrg-2.4.1 RHSA-2013:1490 */
insert into Packages(NameId,Version,RelId) values (1, '3.8.13-rt14.25.el6rt', 52);
       /* mrg-2.2.3 hotfix1 */
insert into Packages(NameId,Version,RelId) values (1, '3.2.33-rt50.67.el6rt', 51);
       /* mrg-2.4.0 RHSA-2013:1398 */
insert into Packages(NameId,Version,RelId) values (1, '3.8.13-rt14.20.el6rt', 50);
       /* mrg-2.4.0 RHSA-2013:1293 */
insert into Packages(NameId,Version,RelId) values (4, '1.53-4.el6rt', 49);
insert into Packages(NameId,Version,RelId) values (16, '1.4-4.el6rt', 49);
       /* mrg-2.3.7 RHSA-2013:1264 */
insert into Packages(NameId,Version,RelId) values (1, '3.6.11.5-rt37.55.el6rt', 48);
       /* mrg-2.3.7 RHBA-2013:1183 */
insert into Packages(NameId,Version,RelId) values (11, '1.35-6.el6rt', 47);
insert into Packages(NameId,Version,RelId) values (16, '1.4-2.el6rt', 47);
       /* mrg-2.3.4 RHBA-2013:0829  */
insert into Packages(NameId,Version,RelId) values (1, '3.6.11.2-rt33.39.el6rt', 46);
       /* mrg-2.3.4 RHBA-2013:0828 */
insert into Packages(NameId,Version,RelId) values (3, '1.11-2.el6rt', 45);
insert into Packages(NameId,Version,RelId) values (4, '1.53-1.el6rt', 45);
       /* mrg-2.3.1 RHSA-2013:0622 */
insert into Packages(NameId,Version,RelId) values (1, '3.6.11-rt30.25.el6rt', 44);
       /* mrg-2.3.0 RHBA-2013:0566 */
insert into Packages(NameId,Version,RelId) values (1, '3.6.11-rt28.20.el6rt', 43);
       /* mrg-2.3.0 RHBA-2013:0563 */
insert into Packages(NameId,Version,RelId) values (2, '0.10.4-3.el6rt', 42);
insert into Packages(NameId,Version,RelId) values (11, '1.35-4.el6rt', 42);
insert into Packages(NameId,Version,RelId) values (16, '1.2-1.el6rt', 42);
insert into Packages(NameId,Version,RelId) values (17, '1.0.4-1.el6', 42);
insert into Packages(NameId,Version,RelId) values (18, '1.1.6-3.el6', 42);
       /* mrg-2.2.3 hotfix */
insert into Packages(NameId,Version,RelId) values (1, '3.2.33-rt50.66.hotfix.el6rt', 41);
       /* mrg-2.2.3 RHSA-2012:1491 */
insert into Packages(NameId,Version,RelId) values (1, '3.2.33-rt50.66.el6rt', 39);
       /* mrg-2.2.3 RHSA-2012:1492 */
insert into Packages(NameId,Version,RelId) values (3, '1.10-1.el6rt', 40);
insert into Packages(NameId,Version,RelId) values (4, '1.50-1.el6rt', 40);
       /* mrg-2.2.0 RHSA-2012:1282 */
insert into Packages(NameId,Version,RelId) values (1, '3.2.23-rt37.56.el6rt', 38);
insert into Packages(NameId,Version,RelId) values (16, '3.2.23-rt37.56.el6rt', 38);
       /* mrg-2.2.0 RHSA-2012:1280 */
insert into Packages(NameId,Version,RelId) values (17, '1.0.2-5.el6', 37);
insert into Packages(NameId,Version,RelId) values (18, '1.1.6-2.el6', 37);
       /* mrg-2.1.9 RHSA-2012:1150 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.36-rt57.66.el6rt', 36);
       /* mrg-2.1.8 RHSA-2012:0670 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.30-rt50.62.el6rt', 35);
       /* mrg-2.1.5 hotfix6 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.25-rt44.57.hotfix6.el6rt', 34);
       /* mrg-2.1.5 hotfix5 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.25-rt44.57.hotfix5.el6rt', 33);
       /* mrg-2.1.5 hotfix4 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.25-rt44.57.hotfix4.el6rt', 32);
       /* mrg-2.1.5 hotfix2 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.25-rt44.57.hotfix2.bz923222.bz916075.el6rt', 31);
       /* mrg-2.1.5 hotfix */
insert into Packages(NameId,Version,RelId) values (1, '3.0.25-rt44.57.hotfix.bz923222+bz91607.el6rt', 30);
       /* mrg-2.1.5 RHBA-2012:0496 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.25-rt44.57.el6rt', 29);
       /* mrg-2.1.5 RHBA-2012:0495 */
insert into Packages(NameId,Version,RelId) values (2, '0.10.2-2.el6rt', 28);
insert into Packages(NameId,Version,RelId) values (4, '1.11-1.el6rt', 28);
insert into Packages(NameId,Version,RelId) values (9, '1.10-1.el6rt', 28);
insert into Packages(NameId,Version,RelId) values (11, '1.35-1.el6rt', 28);
       /* mrg-2.1.4 RHSA-2012:0333 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.18-rt34.53.el6rt', 27);
       /* mrg-2.1.x RHSA-2012:0061 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.9-rt26.46.el6rt', 26);
       /* mrg-2.1 RHBA-2012:0044 */
insert into Packages(NameId,Version,RelId) values (1, '3.0.9-rt26.45.el6rt', 24);
       /* mrg-2.1 RHEA-2012:0047 */
insert into Packages(NameId,Version,RelId) values (2, '0.10.2-1.el6rt', 25);
insert into Packages(NameId,Version,RelId) values (3, '1.9-5.el6rt', 25);
insert into Packages(NameId,Version,RelId) values (4, '1.10-1.el6rt', 25);
insert into Packages(NameId,Version,RelId) values (6, '0.4-1.el6rt ', 25);
insert into Packages(NameId,Version,RelId) values (10, '0.83-1.el6rt', 25);
insert into Packages(NameId,Version,RelId) values (15, '1.0-3.el6rt', 25);
       /* mrg-2.0.x hotfix2 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.81hotfix.el6rt', 23);
       /* mrg-2.0.x hotfix1 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.80hotfix.el6rt', 22);
       /* mrg-2.0.9 RHSA-2012:0010 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.79.el6rt', 21);
       /* mrg-2.0.8 RHSA-2011:1253 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.75.el6rt', 20);
       /* mrg-2.0.2 RHBA-2011:1192 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.74.el6rt', 19);
       /* mrg-2.0.x hotfix0 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.74.el6rt', 18);
       /* mrg-2.0 RHEA-2011:0895 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.66.el6rt', 17);
       /* mrg-2.0 RHEA-2011:0894 */
insert into Packages(NameId,Version,RelId) values (2, '0.10.1-2.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (3, '1.9-2.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (4, '1.7-5.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (5, '0.4.5-2.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (6, '0.3-1.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (7, '24.2-15.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (8, '0.7.6-3.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (9, '1.8-2.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (10, '0.73-1.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (11, '1.33-1.el6rt', 16);
insert into Packages(NameId,Version,RelId) values (12, '1.3-1.el6rt', 16);
       /* mrg-1.3.6 RHBA-2013:0927 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.86.el5rt', 15);
       /* mrg-1.3 hotfix5 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.71_hotfix.el5rt', 14);
       /* mrg-1.3 hotfix4 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.70.el5rt', 13);
       /* mrg-1.3.5 RHBA-2011:1370 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.67.el5rt', 12);
       /* mrg-1.3 hotfix3 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.66_hotfix.el5rt', 11);
       /* mrg-1.3.x RHBA-2011:1209 */
insert into Packages(NameId,Version,RelId) values (13, '1.102pre-126.el5rt.9', 10);
insert into Packages(NameId,Version,RelId) values (14, '1.0pre3_20110718-0.7.el5rt', 10);
       /* mrg-1.3 hotfix2 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.65.el5rt', 9);
       /* mrg-1.3 hotfix1 */
insert into Packages(NameId,Version,RelId) values (14, '1.0pre3_20101112-0.6.el5rt', 8);
       /* mrg-1.3.x RHSA-2011:0500 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.9-rt31.64.el5rt', 7);
       /* mrg-1.3.x RHSA-2011:0330 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.7-rt29.55.el5rt', 6);
       /* mrg-1.3 hotfix0 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.7-rt29.47_hotfix.el5rt', 5);
       /* mrg-1.3.x RHEA-2010:0972 */
insert into Packages(NameId,Version,RelId) values (8, '0.7.6-1.el5rt', 4);
       /* mrg-1.3.x RHSA-2010:0958 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.7-rt29.47.el5rt', 3);
       /* mrg-1.3 RHSA-2010:0771 */
insert into Packages(NameId,Version,RelId) values (1, '2.6.33.7-rt29.45.el5rt', 2);
       /* mrg-1.3 RHBA-2010:0762 */
insert into Packages(NameId,Version,RelId) values (2, '0.9.4-1.el5rt', 1);
insert into Packages(NameId,Version,RelId) values (3, '1.8-2.el5rt', 1);
insert into Packages(NameId,Version,RelId) values (4, '1.7-2.el5rt', 1);
insert into Packages(NameId,Version,RelId) values (5, '0.4.5-1.el5rt', 1);
insert into Packages(NameId,Version,RelId) values (9, '1.8-1.el5rt', 1);
insert into Packages(NameId,Version,RelId) values (10, '0.72-1.el5rt', 1);
insert into Packages(NameId,Version,RelId) values (11, '1.32-1.el5rt', 1);
insert into Packages(NameId,Version,RelId) values (12, '1.2-2.el5rt', 1);
